Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 03 Sep 2021 03:46:51 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns That's last email I got from Max are as follows.

Hi Abdul,
​
Thank you for contacting us.

We would like to inform you that a return request for order No. 9677383743 has been created on 8/22/21 2:21 PM and the request will be received by the transport partner LMG within 7 to 10 working days. In the event that the returns are not received by the transportation partner LMG within the specified time, please contact us again in order to serve you to the fullest.
You can also track your return request via the LMG website https://bit.ly/3v0Daf through the tracking number RP082221001674.
Thank you for your shopping and cooperation with us.

Do not hesitate to contact us if you have any inquiries.

your friends,
Support Team.

But its been 13 days gone since I've got this email, still my return haven't picked up yet, and there is no contract from delivery team at all

What's hell wrong with you guys ? If you won't like pick the return at least refund my money for the God sake

It's been already over 50 days , Firstly I've asked for return on 12th July ,now today is September 2nd, 2022

What's wrong with you and your logistics and delivery team?

If you haven't picked up by this week? I am sure that I am going to file a Police complaint and Case in Consumer Court mark my word , I have all evidence,in form of receipt , your reply email , Tags etc https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3053270